import { _ as _baseGet } from "./_baseGet.mjs";
import { _ as _baseSlice } from "./_baseSlice.mjs";
var baseGet = _baseGet, baseSlice = _baseSlice;
function parent(object, path) {
  return path.length < 2 ? object : baseGet(object, baseSlice(path, 0, -1));
}
var _parent = parent;
export {
  _parent as _
};
